Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 688342 - Please clarify the status and intent of d396d1941f8fb674218683e5fdbb248f2c713f36
Summary: Please clarify the status and intent of d396d1941f8fb674218683e5fdbb248f2c713f36
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Infrastructure
Classification: Unclassified
Component: Other (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Infrastructure
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 13.0-deprecation
  Show dependency tree
 
Reported: 2019-06-19 07:18 UTC by Sergei Trofimovich (RETIRED)
Modified: 2019-06-21 06:51 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sergei Trofimovich (RETIRED) gentoo-dev 2019-06-19 07:18:23 UTC
Brian Evans restored some of 13.0 profiles base directories and did not provide much detail on what is the path forward for 13.0 removal.

Here is the revert:

"""
commit e6624c95f0c6f1e76cdb036dd9863fcadff4a2c1
Author: Brian Evans <grknight@gentoo.org>
Date:   Mon Jun 10 09:15:25 2019 -0400

    Partially revert "profiles: drop deprecated 13.0 profiles, bug #672960"

    The actual releases/13.0 files are required until all of hardnend/linux can be removed
    This reverts commit d396d1941f8fb674218683e5fdbb248f2c713f36.
    
    Signed-off-by: Brian Evans <grknight@gentoo.org>
"""

I'll repeat my request here from #gentoo-portage. I did not get any answer there:

- please confirm you are using deprecated profiles (profilesremoved from profiles.desc)
  - if that is the case please add used profiles back to profiles.desc. (Or at least list the profiles here an I'll add it back).
  - please work on removing dependency on them. Those are slated for removal in bug #672960
- OR the above it's not the case and you don't use 13.0 anymore please confirm it's ok to remove 13.0 profiles
- please consider adding monitoring for use of deprecated profiles

Adding hardened@ if you need help understanding what changed across various profiles.

Full chat log (the only hint I have):
"""
19:16 < grknight> slyfox: I reverted the profiles/releases/13.0 because profiles/hardened/linux has a parent file pointing to it. this was breaking infra boxes which have to migrate
19:20 < slyfox> grknight: please file a bug with details. hardened/linux is not a valid profile.
19:42 < grknight> i'm now reviewing the difference between hardened/linux/amd64 and default/linux/amd64/17.0/hardened.  so far just one USE, but still diving deeper
21:17 < slyfox> if no profiles in profiles.desc refer it then it has no users.
21:17 < slyfox> otherwise any directory in profiles/ could be used by something
21:17 < grknight> slyfox: then let me clarify... 'hardened/linux/amd64' profile had a parent of '..'
21:18 < grknight> that had a parent of '../../releases/13.0'
21:18 < slyfox> grknight: then please add it back to profiles.desc if it's a valid profile
21:19 < grknight> we just need some more migration time.. it is in testing now then all of hardened/linux/{amd64,x86} can go away
21:19 < slyfox> I suggest you to file a bug and reopen 13.0 removal bug. Once you are done with migration we can delete it again.
21:19 < grknight> at least from infra's POV
...
21:25 < slyfox> grknight: so, should I expect an entry back to profiles.desc? what is the plan here? How do I track when infra is ok to remove unused 13.0 entries?
...
21:50 < robbat2> profiles.desc is NOT the only way to consume profiles, which I think is a contributing factor
21:50 < robbat2> for my own systems & isohunt stuff for a long time, we had in-house profiles, which used some some profiles in the local parents file
21:51 < robbat2> those sometimes used profiles from profiles.desc in the parents, but not always
22:20 < slyfox> was it ever warranted a revet in ::gentoo?
22:23 < slyfox> dwfreed: the bug number was not posted anywhere.
22:23 < dwfreed> it's not hard to find it
22:23 < dwfreed> it's posted in #gentoo-commits, for example
22:25 < slyfox> well, i spent a minute scanning around and failed.
22:26 < dwfreed> 2019-06-10 13:16:54 <+gentoovcs> grknight → repo/gentoo (profiles/releases/13.0/) Partially revert "profiles: drop deprecated 13.0 profiles, bug #672960"
22:26 < dwfreed> 2019-06-10 13:16:56 <+willikins> gentoovcs: https://bugs.gentoo.org/672960 "Deprecation and removal of 13.0 profiles"; Gentoo Linux, Profiles; RESO, FIXE; slyfox:slyfox
22:26 < willikins> dwfreed: https://bugs.gentoo.org/672960 "Deprecation and removal of 13.0 profiles"; Gentoo Linux, Profiles; RESO, FIXE; slyfox:slyfox
22:26 < dwfreed> from #gentoo-commits
22:26 < slyfox> this bug has 0 information about the breakage
22:26 < slyfox> this bug is about removing 13.0 profiles
22:27 < slyfox> and it does not trask your breakage. is it supposed to now?
...
23:25 < robbat2> slyfox: mostly senior infra is a bit busy at the moment; i'll check in on what grknight fixed tonight and file anything else needed
23:25 < robbat2> out now
23:25 < slyfox> thank you!
"""
Comment 1 Magnus Granberg gentoo-dev 2019-06-19 13:51:39 UTC
profiles/hardened/linux/x86 and profiles/hardened/linux/amd64
was deprecated 2018-12-13 The only thing left is musl and uclibc and that is the only thing listed in the profiles.desc. Do infra use some in house profile that parent from profiles/hardened/linux instead of profiles/hardened/linux/arch?
Comment 2 Brian Evans Gentoo Infrastructure gentoo-dev 2019-06-19 14:08:05 UTC
(In reply to Magnus Granberg from comment #1)
> profiles/hardened/linux/x86 and profiles/hardened/linux/amd64
> was deprecated 2018-12-13 The only thing left is musl and uclibc and that is
> the only thing listed in the profiles.desc. Do infra use some in house
> profile that parent from profiles/hardened/linux instead of
> profiles/hardened/linux/arch?

For a long time, infra has used hardened/linux/{amd64,x86} on the servers.  both of those had a parent to hardened/linux which had a parent to release/13.0.

My revert existed to have the existing files left for the former hardened/linux/{amd64,x86} still valid even though their profiles.desc entries were removed

For a short time, we needed to review and push an update.  The initial change over to default/linux/$arch/17.0/hardened has been completed. I believe there should be no issues after reviewing the changes.
Comment 3 Brian Evans Gentoo Infrastructure gentoo-dev 2019-06-20 12:49:02 UTC
Infra is done with this.  Continue on your fine job.
Comment 4 Larry the Git Cow gentoo-dev 2019-06-21 06:51:41 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d40fdcf1e4bdd370a13800e73a383537beef365a

commit d40fdcf1e4bdd370a13800e73a383537beef365a
Author:     Sergei Trofimovich <slyfox@gentoo.org>
AuthorDate: 2019-06-21 06:48:33 +0000
Commit:     Sergei Trofimovich <slyfox@gentoo.org>
CommitDate: 2019-06-21 06:51:26 +0000

    profiles: drop unused releases/13.0, second attempt
    
    No profiles (deprecated or not) refer to releases/13.0 anymore.
    
    This reverts commit e6624c95f0c6f1e76cdb036dd9863fcadff4a2c1.
    Bug: https://bugs.gentoo.org/688342
    Closes: https://bugs.gentoo.org/672960
    
    Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>

 profiles/releases/13.0/eapi             |  1 -
 profiles/releases/13.0/make.defaults    |  5 -----
 profiles/releases/13.0/package.mask     | 32 --------------------------------
 profiles/releases/13.0/package.unmask   |  7 -------
 profiles/releases/13.0/package.use.mask |  7 -------
 profiles/releases/13.0/parent           |  1 -
 6 files changed, 53 deletions(-)